package com.care.outcall.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 话单表
 *
 * @Auther: Han Yun Qing
 * @Date: Created In 2018/1/10 16:03
 * @Modified By:
 */
public class Bill implements Serializable{
    // '主键值为uuid',
    private String id;
    //'呼叫号码或md5身份证号',
    private String clientFlowNo;
    //接通状态:{电信：以客户接通为准取1，其他取2},{联通：PCS000.已拨通电话，,PCS001.未获取,PCS002.已获取,PCS003.获取失败}',
    private String outCallStatus;
//接通状态:{电信：以客户接通为准取1，其他取2},{联通：PCS000.已拨通电话，,PCS001.未获取,PCS002.已获取,PCS003.获取失败}（原始状态）
    private String origOutCallStatus;
    //通话结果状态：1.成功通话2.废号（空号/欠费/停机）3.无法接通（占线/转秘书台）4.无法接通（占线/转秘书台）5.无人接（未接听）6.无人接（主动挂）7.传真机/总机8.关机
    private String callResultStatus;
    private String teleCallsId;//COMMENT '客户编号(电信)',
    private String batchId;//'电信：任务编号，联通：批次号',
    private String teleTaskName;//'任务名称',
    private String sessionId;// '会话id,通话唯一标识，联通为uuid',
    private String teleEntId;//'企业id',
    private String teleAgentId;// '坐席id',
    private String outCallRadioStatus;//'录件获取状态,(电信：1.未获取,2.已获取),(联通：PRS001.未获取,PRS002.已获取,PRS003.已获取 ,无录音)',
    private String clientAlertStartTime;//'客户振铃开始时间,(电信：yyyyMMddHHmmss),(联通：有值，但是格式未知)',
    private String callDuration;//'通话时长，时间单位秒',
    private String callResultType;//'0.呼入,1.呼出，统一是外呼，即呼出。',
    private String hangupType;//'0.客户挂断,1.坐席挂断',
    private String callStartTime;// '通话开始时间',
    // '通话结束时间',
    private String callEndTime;
    // '音频地址',
    private String audioUrl;
    // '平台类型，1.电信,2.联通,3.移动'
    private Integer channelFlag;
    //电信分配给企业的分配id
    private String teleCustomerId;

    //业务字段
    private String logsId;
    private Date createTime;
    private Date updateTime;
    private String enterpriseNo;
    private String enterpriseId;
    private String dySid;
    private String audioMp3Url;

    private String realFlowNo;

    private String telecomTaskId;
    private String listenType;
    //话单标识为呼损率，0.自动未呼损（默认）、1.自动外呼呼损
    private String loss;
    //自动外呼生成外呼，0.手动外呼（默认），1.自动外呼
    private String auto;


    public String getListenType() {
        return listenType;
    }

    public void setListenType(String listenType) {
        this.listenType = listenType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getEnterpriseNo() {
        return enterpriseNo;
    }

    public void setEnterpriseNo(String enterpriseNo) {
        this.enterpriseNo = enterpriseNo;
    }

    public String getLogsId() {
        return logsId;
    }

    public void setLogsId(String logsId) {
        this.logsId = logsId;
    }

    public String getTeleCustomerId() {
        return teleCustomerId;
    }

    public void setTeleCustomerId(String teleCustomerId) {
        this.teleCustomerId = teleCustomerId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getClientFlowNo() {
        return clientFlowNo;
    }

    public void setClientFlowNo(String clientFlowNo) {
        this.clientFlowNo = clientFlowNo;
    }

    public String getOutCallStatus() {
        return outCallStatus;
    }

    public void setOutCallStatus(String outCallStatus) {
        this.outCallStatus = outCallStatus;
    }

    public String getTeleCallsId() {
        return teleCallsId;
    }

    public void setTeleCallsId(String teleCallsId) {
        this.teleCallsId = teleCallsId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getTeleTaskName() {
        return teleTaskName;
    }

    public void setTeleTaskName(String teleTaskName) {
        this.teleTaskName = teleTaskName;
    }

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getTeleEntId() {
        return teleEntId;
    }

    public void setTeleEntId(String teleEntId) {
        this.teleEntId = teleEntId;
    }

    public String getTeleAgentId() {
        return teleAgentId;
    }

    public void setTeleAgentId(String teleAgentId) {
        this.teleAgentId = teleAgentId;
    }

    public String getOutCallRadioStatus() {
        return outCallRadioStatus;
    }

    public void setOutCallRadioStatus(String outCallRadioStatus) {
        this.outCallRadioStatus = outCallRadioStatus;
    }

    public String getClientAlertStartTime() {
        return clientAlertStartTime;
    }

    public void setClientAlertStartTime(String clientAlertStartTime) {
        this.clientAlertStartTime = clientAlertStartTime;
    }

    public String getCallDuration() {
        return callDuration;
    }

    public void setCallDuration(String callDuration) {
        this.callDuration = callDuration;
    }

    public String getCallResultType() {
        return callResultType;
    }

    public void setCallResultType(String callResultType) {
        this.callResultType = callResultType;
    }

    public String getHangupType() {
        return hangupType;
    }

    public void setHangupType(String hangupType) {
        this.hangupType = hangupType;
    }

    public String getCallStartTime() {
        return callStartTime;
    }

    public void setCallStartTime(String callStartTime) {
        this.callStartTime = callStartTime;
    }

    public String getCallEndTime() {
        return callEndTime;
    }

    public void setCallEndTime(String callEndTime) {
        this.callEndTime = callEndTime;
    }

    public String getAudioUrl() {
        return audioUrl;
    }

    public void setAudioUrl(String audioUrl) {
        this.audioUrl = audioUrl;
    }

    public Integer getChannelFlag() {
        return channelFlag;
    }

    public void setChannelFlag(Integer channelFlag) {
        this.channelFlag = channelFlag;
    }

    public String getOrigOutCallStatus() {
        return origOutCallStatus;
    }

    public void setOrigOutCallStatus(String origOutCallStatus) {
        this.origOutCallStatus = origOutCallStatus;
    }

    public String getCallResultStatus() {
        return callResultStatus;
    }

    public void setCallResultStatus(String callResultStatus) {
        this.callResultStatus = callResultStatus;
    }

    public String getDySid() {
        return dySid;
    }

    public void setDySid(String dySid) {
        this.dySid = dySid;
    }

    public String getAudioMp3Url() {
        return audioMp3Url;
    }

    public void setAudioMp3Url(String audioMp3Url) {
        this.audioMp3Url = audioMp3Url;
    }

    public String getRealFlowNo() {
        return realFlowNo;
    }

    public void setRealFlowNo(String realFlowNo) {
        this.realFlowNo = realFlowNo;
    }

    public String getTelecomTaskId() {
        return telecomTaskId;
    }

    public void setTelecomTaskId(String telecomTaskId) {
        this.telecomTaskId = telecomTaskId;
    }

    public String getLoss() {
        return loss;
    }

    public void setLoss(String loss) {
        this.loss = loss;
    }

    public String getAuto() {
        return auto;
    }

    public void setAuto(String auto) {
        this.auto = auto;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    @Override
    public String toString() {
        return "Bill{" +
                "id='" + id + '\'' +
                ", clientFlowNo='" + clientFlowNo + '\'' +
                ", outCallStatus='" + outCallStatus + '\'' +
                ", origOutCallStatus='" + origOutCallStatus + '\'' +
                ", callResultStatus='" + callResultStatus + '\'' +
                ", teleCallsId='" + teleCallsId + '\'' +
                ", batchId='" + batchId + '\'' +
                ", teleTaskName='" + teleTaskName + '\'' +
                ", sessionId='" + sessionId + '\'' +
                ", teleEntId='" + teleEntId + '\'' +
                ", teleAgentId='" + teleAgentId + '\'' +
                ", outCallRadioStatus='" + outCallRadioStatus + '\'' +
                ", clientAlertStartTime='" + clientAlertStartTime + '\'' +
                ", callDuration='" + callDuration + '\'' +
                ", callResultType='" + callResultType + '\'' +
                ", hangupType='" + hangupType + '\'' +
                ", callStartTime='" + callStartTime + '\'' +
                ", callEndTime='" + callEndTime + '\'' +
                ", audioUrl='" + audioUrl + '\'' +
                ", channelFlag=" + channelFlag +
                ", teleCustomerId='" + teleCustomerId + '\'' +
                ", logsId='" + logsId + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", enterpriseNo='" + enterpriseNo + '\'' +
                ", dySid='" + dySid + '\'' +
                ", audioMp3Url='" + audioMp3Url + '\'' +
                ", realFlowNo='" + realFlowNo + '\'' +
                ", auto='" + auto + '\'' +
                ", loss='" + loss + '\'' +
                '}';
    }


}
